- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# QX11Info Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qx11info_x11.h.

`#include <qx11info_x11.h>`

List of all members.

## Public Member Functions
| QX11Info ()
| ~QX11Info ()
| QX11Info (const QX11Info &other)
QX11Info & | operator= (const QX11Info &other)
int | screen () const
int | depth () const
int | cells () const
Qt::HANDLE | colormap () const
bool | defaultColormap () const
void * | visual () const
bool | defaultVisual () const
## Static Public Member Functions
static Display * | display ()
static const char * | appClass ()
static int | appScreen ()
static int | appDepth (int screen=-1)
static int | appCells (int screen=-1)
static Qt::HANDLE | appColormap (int screen=-1)
static void * | appVisual (int screen=-1)
static Qt::HANDLE | appRootWindow (int screen=-1)
static bool | appDefaultColormap (int screen=-1)
static bool | appDefaultVisual (int screen=-1)
static int | appDpiX (int screen=-1)
static int | appDpiY (int screen=-1)
static void | setAppDpiX (int screen, int dpi)
static void | setAppDpiY (int screen, int dpi)
static unsigned long | appTime ()
static unsigned long | appUserTime ()
static void | setAppTime (unsigned long time)
static void | setAppUserTime (unsigned long time)
static bool | isCompositingManagerRunning ()
## Protected Member Functions
void | copyX11Data (const QPaintDevice *)
void | cloneX11Data (const QPaintDevice *)
void | setX11Data (const QX11InfoData *)
QX11InfoData * | getX11Data (bool def=false) const
## Protected Attributes
QX11InfoData * | x11data
## Friends
class | QX11PaintEngine
class | QPixmap
class | QX11PixmapData
class | QWidget
class | QWidgetPrivate
class | QGLWidget
void | qt_init (QApplicationPrivate *priv, int, Display *display, Qt::HANDLE visual, Qt::HANDLE colormap)
void | qt_cleanup ()
void | qt_x11_getX11InfoForWindow (QX11Info *xinfo, const QX11WindowAttributes &a)

## Constructor & Destructor Documentation

QX11Info | ( |  | ) |

~QX11Info | ( |  | ) |

QX11Info | ( | const QX11Info & | other | ) |

## Member Function Documentation

QX11Info& operator= | ( | const QX11Info & | other | ) |

static Display* display | ( |  | ) | `[static]`

Search for all occurrences

static const char* appClass | ( |  | ) | `[static]`

Search for all occurrences

int screen | ( |  | ) | const

Search for all occurrences

int depth | ( |  | ) | const

Search for all occurrences

int cells | ( |  | ) | const

Search for all occurrences

Qt::HANDLE colormap | ( |  | ) | const

Search for all occurrences

bool defaultColormap | ( |  | ) | const

Search for all occurrences

void* visual | ( |  | ) | const

Search for all occurrences

bool defaultVisual | ( |  | ) | const

Search for all occurrences

static int appScreen | ( |  | ) | `[static]`

Search for all occurrences

static int appDepth | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static int appCells | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static Qt::HANDLE appColormap | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static void* appVisual | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static Qt::HANDLE appRootWindow | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static bool appDefaultColormap | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static bool appDefaultVisual | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static int appDpiX | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static int appDpiY | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

static void setAppDpiX | ( | int | screen,
|  | int | dpi
| ) |  | `[static]`

Search for all occurrences

static void setAppDpiY | ( | int | screen,
|  | int | dpi
| ) |  | `[static]`

Search for all occurrences

static unsigned long appTime | ( |  | ) | `[static]`

Search for all occurrences

static unsigned long appUserTime | ( |  | ) | `[static]`

Search for all occurrences

static void setAppTime | ( | unsigned long | time | ) | `[static]`

Search for all occurrences

static void setAppUserTime | ( | unsigned long | time | ) | `[static]`

Search for all occurrences

static bool isCompositingManagerRunning | ( |  | ) | `[static]`

Search for all occurrences

void copyX11Data | ( | const QPaintDevice * |  | ) | `[protected]`

Search for all occurrences

void cloneX11Data | ( | const QPaintDevice * |  | ) | `[protected]`

Search for all occurrences

void setX11Data | ( | const QX11InfoData * |  | ) | `[protected]`

Search for all occurrences

QX11InfoData* getX11Data | ( | bool | def = `false` | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QX11PaintEngine `[friend]`

Search for all occurrences

Definition at line 107 of file qx11info_x11.h.

friend class QPixmap `[friend]`

Search for all occurrences

Definition at line 108 of file qx11info_x11.h.

friend class QX11PixmapData `[friend]`

Search for all occurrences

Definition at line 109 of file qx11info_x11.h.

friend class QWidget `[friend]`

Search for all occurrences

Definition at line 110 of file qx11info_x11.h.

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 111 of file qx11info_x11.h.

friend class QGLWidget `[friend]`

Search for all occurrences

Definition at line 112 of file qx11info_x11.h.

void qt_init | ( | QApplicationPrivate * | priv,
|  | int | ,
|  | Display * | display,
|  | Qt::HANDLE | visual,
|  | Qt::HANDLE | colormap
| ) |  | `[friend]`

Search for all occurrences

void qt_cleanup | ( |  | ) | `[friend]`

Search for all occurrences

void qt_x11_getX11InfoForWindow | ( | QX11Info * | xinfo,
|  | const QX11WindowAttributes & | a
| ) |  | `[friend]`

Search for all occurrences

## Member Data Documentation

QX11InfoData* x11data `[protected]`

Search for all occurrences

Definition at line 105 of file qx11info_x11.h.

The documentation for this class was generated from the following file:

- QtGui/qx11info_x11.h

QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info
QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info QX11Info